package com.gh.common.xapk

class XapkPendingSessionInfo(
    val path: String,
    val sessionId: Int = -1
) {
    companion object {
        const val STATUS_INIT = -1
        const val STATUS_PENDING_USER_ACTION = 0
        const val STATUS_INSTALL_SUCCESS = 1
        const val STATUS_INSTALL_CANCELED = 2
    }

    private var status = STATUS_INIT

    internal fun updateStatus(status: Int) {
        this.status = status
    }

    fun getStatus(): Int = status
}